require 'logger'

module KafkaRestClient
  class Configuration
    attr_accessor :kafka_proxy_url, :schema_registry_url, :timeout, :logger
    class << self
      attr_accessor :current

      def current
        @current ||= Configuration.new
      end
    end

    def initialize(options = {})
      @kafka_proxy_url = options[:kafka_proxy_url]
      @schema_registry_url = options[:schema_registry_url]
      @timeout = options[:timeout]
      @logger = options[:logger]
    end

    def timeout
      @timeout ||= 30 # seconds
    end

    def logger
      @logger ||= Logger.new(STDOUT).tap do |logger|
        # Set level too high so we don't log anything by default
        logger.level = Logger::FATAL
      end
    end
  end
end
