module KafkaRestClient
  # Base Error for all error classes of the library
  class Error < StandardError; end

  # Exception raised when the desired schema is not found (404 response code)
  class SchemaNotFoundError < Error; end

  # Exception raised when the desired topic is not found (404 response code)
  class TopicNotFoundError < Error; end

  # Exception raised on an internal server error (500 response code)
  class InternalServerError < Error; end

  # Exception raised on a message not matching the requested schema (422)
  class SchemaValidationError < Error; end

  # Exception raised on a bad gateway proxy resolution failure (503)
  class BadGateway < Error; end

  class NestedHashSerializationNotImplemented < Error; end
end
