module KafkaRestClient
  module Utils
    # Courtersy of avdi
    # Source https://gist.github.com/avdi/239567
    def transform_hash(original, options={}, &block)
      original.inject({}){|result, (key,value)|
        value = if (options[:deep] && Hash === value)
                  transform_hash(value, options, &block)
                else
                  value
                end
        block.call(result,key,value)
        result
      }
    end

    def deep_stringify_keys(hash)
      transform_hash(hash, :deep => true) {|hash, key, value|
        hash[key.to_s] = value
      }
    end

    module_function :transform_hash
    module_function :deep_stringify_keys
  end
end
